.ContextMenu {
    position: relative;
}

.ContextMenu__toggler {
    opacity: 1 !important;
    transition: none !important;
}

.ContextMenu--isOpen .ContextMenu__items {
    left: auto;
    right: 0;
    visibility: visible;
}

.ContextMenu__items {
    position: absolute;
    z-index: 1;/** Stack over textarea because of .CommentArea__form position relative */
    left: -999em;
    visibility: hidden;
}

.ContextMenu--isOpen .ContextMenu__items::after {
    content: '';
    position: absolute;
    top: -6px;
    right: 13px;
    width: 12px;
    height: 12px;
    transform: rotate(45deg);
    background-color: #ffffff;
    clip-path: polygon(0 0%, 0% 100%, 100% 0);
}

.ContextMenu__items ul {
    margin: 0;
    padding: .5em 0;
    list-style: none;
}

.ContextMenu__item {
    list-style-image: none;
}

.ContextMenu__item--isSeparator {
    margin-top: .2em;
    padding-top: .2em;
    border-top: 1px solid #ddd;
}

.ContextMenu__item--isSeparator:first-child,
.ContextMenu__item--isSeparator + .ContextMenu__item--isSeparator {
    border-top: 0;
}

.ContextMenu__separator {
    display: block;
    margin: 0 !important;
    padding: 0 1.2rem .5em 1.1rem !important;
    vertical-align: middle;
    opacity: 0.84;
    line-height: 1;
    font-family: inherit;
    font-size: 0.9em;
    font-weight: normal;
    color: #777;
}

.ContextMenu__action {
    display: flex;
    padding: .55em 1.1rem;
    text-decoration: none;
    color: inherit !important;
    align-items: flex-start;
    white-space: nowrap;
    cursor: pointer;
}

.ContextMenu__action--disabled {
    background: url(assets/check.svg) no-repeat .2rem 50%;
    background-size: .85em;
}

.ContextMenu__action:hover {
    text-decoration: none;
    background-color: #eee;
}

.ContextMenu__icon {
    width: 1.2em;
    margin-right: .2em;
    transform: translateX(-.2em);
}

.ContextMenu__action--disabled .ContextMenu__icon {
    opacity: .8;
}

.ContextMenu__name {
    padding-right: 1.1em;
}

.ContextMenu__icon,
.ContextMenu__name {
    pointer-events: none;
}